routes/web.php
<?php

use App\Specialty;
use App\Symptom;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use App\Doctor;
use App\Disease;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/',function(){
//     return view ('blank');
// });

Route::get('/', 'HomeController@index');
Route::get('/home', 'HomeController@dash')->name('home');
Auth::routes(['verify' => true]);


Route::get('/profile', 'ProfileController@show')->name('profile.show');
Route::get('/profile/{id}', 'ProfileController@find')->name('profile.find');
Route::post('/profile', 'ProfileController@promotion')->name('profile.promotion');
//Route::get('/profile', 'ProfileController@edit')->name('profile.edit');
Route::put('/profile', 'ProfileController@update')->name('profile.update');
Route::resource('doctor_work', 'DoctorWorkController');//->name('doctor_work');
Route::resource('doctor_certificates', 'DoctorCertificatesController');

Route::get('search', 'HomeController@view')->name('search');
// Route::post('search', 'HomeController@search')->name('search');

//nationalites route
Route::resource('nationalities', 'NationalityController');

//specialties route
Route::resource('specialties', 'SpecialtyController');
Route::get('specialties/{id}/changeState', 'SpecialtyController@changeState')->name('specialties.changeState');

//specialties route
Route::resource('symptoms', 'SymptomController');
Route::get('symptoms/{id}/changeState', 'SymptomController@changeState')->name('symptoms.changeState');

//specialties route
Route::resource('diseases', 'DiseaseController');
Route::get('diseases/{id}/changeState', 'DiseaseController@changeState')->name('diseases.changeState');

Route::resource('register', 'RegisterController');
Route::get('register_doctor', 'RegisterController@create_doctor')->name('register_doctor');
Route::post('store_doctor', 'RegisterController@store_doctor')->name('store_doctor');

Route::resource('doctor_specialties', 'DoctorSpecialtyController');


Route::resource('doctors', 'DoctorController');
Route::get('doctors/{id}/activate', 'DoctorController@activate')->name('doctors.activate');



Route::resource('chats', 'ChatController');
Route::get('secialaties/{id}', function ($id) {
    $spec =  Specialty::find($id);
    
    $symptoms = collect(new Symptom());
    
    foreach ($spec->diseases as $des) {
        $symptoms = $symptoms->merge($des->symptoms);
    }    
    $uniqueCollection = $symptoms->unique('id'); 
    return $uniqueCollection;
})->name('load-spec');

Route::post('search', function (Request $request) {
    $syms =  Symptom::where('id',[$request->symptomsSelect])->get();
    $diseases = collect(new Disease());

    foreach ($syms as $key1 => $sym) {
        foreach ($sym->diseases as $key2 => $dis) {
            if($dis->id == $request->pecialty_id){
                if(!$diseases->contains($dis)){
                    $diseases->prepend($dis);
                }
            }
        }
        
    }
    
    $spec =  Specialty::find($request->pecialty_id);
    
    $specialties = Specialty::all();

    // foreach ($spec->users as $key => $user) {
    //     $doctors = $user;
    // }

    // $symptoms  = Symptom::all()->pluck('common_name')->toArray();

    // $symptoms = implode(",",$symptoms);
  
    $data = [
        'doctors' => $spec->users,
        'specialties' => $specialties,
        'symptoms' => $syms ,
         'diseases' => $spec->diseases,
    ];

 //   dd()
    return view('search')->with( $data);
})->name('search');

resources/views/layouts/app.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet" type="text/css">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
</head>
<body dir="rtl">
    <div id="app">
        <nav class="navbar navbar-expand-md navbar-light navbar-laravel">
            <div class="container">
                <a class="navbar-brand" href="{{ url('/') }}">
                    {{ config('app.name', 'Laravel') }}
                </a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav mr-auto">

                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ml-auto">
                        <!-- Authentication Links -->
                        @guest
                            <li class="nav-item">
                                <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                            </li>
                            @if (Route::has('register'))
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                                </li>
                            @endif
                        @else
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    {{ Auth::user()->name }} <span class="caret"></span>
                                </a>

                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item" href="{{ route('logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        {{ __('Logout') }}
                                    </a>

                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                        @csrf
                                    </form>
                                </div>
                            </li>
                        @endguest
                    </ul>
                </div>
            </div>
        </nav>

        <main class="py-4">
            @yield('content')
        </main>
    </div>
</body>
</html>

resources/views/layouts/footer.blade.php
  <!-- Argon Scripts -->
  <!-- Core -->
  <script src="{{asset('template/vendor/jquery/dist/jquery.min.js')}}"></script>
  <script src="{{asset('template/vendor/bootstrap/dist/js/bootstrap.bundle.min.js')}}"></script>
  <!-- Optional JS -->
  <script src="{{asset('template/vendor/chart.js/dist/Chart.min.js')}}"></script>
  <script src="{{asset('template/vendor/chart.js/dist/Chart.extension.js')}}"></script>
  <!-- Argon JS -->
  <script src="{{asset('template/js/argon.js?v=1.0.0')}}"></script>
  <script src="{{asset('js/multiselect.js')}}"></script>
  @yield('scripts')
</body>

resources/views/layouts/header.blade.php
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="Start your development with a Dashboard for Bootstrap 4.">
  <meta name="author" content="Creative Tim">
  <title>Argon Dashboard - Free Dashboard for Bootstrap 4</title>
  <!-- Favicon -->
  <link href="{{asset('template/img/brand/favicon.png')}}" rel="icon" type="image/png">
  <!-- Fonts -->
  <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700" rel="stylesheet">
  <!-- Icons -->
  <link href="{{asset('template/vendor/nucleo/css/nucleo.css')}}" rel="stylesheet">
  <link href="{{asset('template/vendor/@fortawesome/fontawesome-free/css/all.min.css')}}" rel="stylesheet">
  <!-- Argon CSS -->
  <link type="text/css" href="{{asset('template/css/argon.css')}}" rel="stylesheet">
  <link type="text/css" href="{{asset('template/css/custome.css')}}" rel="stylesheet">
  <link rel="stylesheet" href="{{asset('css/font-awesome.min.css')}}">
  <link rel="stylesheet" href="{{ asset('css/multiselect.css')}}" >
  @yield('styles')
  <style type="text/css">/* Chart.js */
    @-webkit-keyframes chartjs-render-animation{from{opacity:0.99}to{opacity:1}}@keyframes chartjs-render-animation{from{opacity:0.99}to{opacity:1}}.chartjs-render-monitor{-webkit-animation:chartjs-render-animation 0.001s;animation:chartjs-render-animation 0.001s;}
  </style>
</head>
<body dir="rtl">

resources/views/layouts/main.blade.php
@include('layouts.header')
@include('layouts.sidbar')

  <!-- Main content -->
  <div class="main-content">
    @include('layouts.navbar')
    <!-- Header -->
    @include('layouts.page-header')
    <!-- Page content -->
    @yield('content')
  </div>


@include('layouts.footer')
@yield('modals')

resources/views/layouts/navbar.blade.php
    <!-- Top navbar -->
    <nav class="navbar navbar-top navbar-expand-md navbar-dark" id="navbar-main">
      <div class="container-fluid">
        <!-- Brand -->
        <a class="h4 mb-0 text-white text-uppercase d-none d-lg-inline-block" href="{{ route('home') }}">الرئيسية</a>
        <!-- Form -->
        <form class="navbar-search navbar-search-dark form-inline mr-3 d-none d-md-flex ml-lg-auto">
          <div class="form-group mb-0">
            <div class="input-group input-group-alternative">
              <div class="input-group-prepend">
                <span class="input-group-text"><i class="fas fa-search"></i></span>
              </div>
              <input class="form-control" placeholder="Search" type="text">
            </div>
          </div>
        </form>
        <!-- User -->
        <ul class="navbar-nav align-items-center d-none d-md-flex">
          <li class="nav-item dropdown">
            <a class="nav-link pr-0" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              <div class="media align-items-center">
                <span class="avatar avatar-sm rounded-circle">
                  <img alt="Image placeholder" src="{{ asset('template/img/logo.png') }}">
                </span>
                <div class="media-body ml-2 d-none d-lg-block">
                  @if (Auth::user())
                    <span class="mb-0 text-sm  font-weight-bold">{{ Auth::user()->name }}</span>   
                  @endif
                </div>
              </div>
            </a>
            <div class="dropdown-menu dropdown-menu-arrow dropdown-menu-left">
              <div class=" dropdown-header noti-title">
              </div>
             
              @if (!Auth::user())
                <a href="{{ route('login') }}" class="dropdown-item">
                  <i class="ni ni-settings-gear-65"></i>
                  <span>تسجيل الدخول</span>
                </a>
                {{-- <a href="{{ route('register') }}" class="dropdown-item">
                  <i class="ni ni-settings-gear-65"></i>
                  <span>إنشاء حساب</span>
                </a> --}}
              @else 
                {{-- <a href="{{ route('chats.index') }}" class="dropdown-item">
                  <i class="fa fa-comments"></i>
                  <span>المحادثات</span>
                </a> --}}

                <a href="/profile" class="dropdown-item">
                  <i class="ni ni-settings-gear-65"></i>
                  <span>الملف الشخصي</span>
                </a>

                <a class="dropdown-item" href="{{ route('logout') }}" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">
                  <i class="ni ni-user-run"></i>
                  <span>تسجيل الخروج</span>
                </a>

              @endif

              <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                  @csrf
              </form>
           
            </div>
          </li>
        </ul>
      </div>
    </nav>

resources/views/layouts/page-header.blade.php
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
      <div class="container-fluid">
        <div class="header-body">
          <!-- Card stats -->
          <div class="row">
            <div class="col-xl-3 col-lg-6">
              <div class="card card-stats mb-4 mb-xl-0">
                <div class="card-body">
                  <div class="row">
                    <div class="col">
                      <h5 class="card-title text-uppercase text-muted mb-0">المستخدمين النشطين</h5>
                      <span class="h2 font-weight-bold mb-0">160</span>
                    </div>
                    <div class="col-auto">
                      <div class="icon icon-shape bg-danger text-white rounded-circle shadow">
                        <i class="fas fa-chart-bar"></i>
                      </div>
                    </div>
                  </div>
                  <p class="mt-3 mb-0 text-muted text-sm">
                    <span class="text-success mr-2"><i class="fa fa-arrow-up"></i> 80</span>
                    <span class="text-nowrap">last Day</span>
                  </p>
                </div>
              </div>
            </div>
            <div class="col-xl-3 col-lg-6">
              <div class="card card-stats mb-4 mb-xl-0">
                <div class="card-body">
                  <div class="row">
                    <div class="col">
                      <h5 class="card-title text-uppercase text-muted mb-0">المستخدمين الجدد</h5>
                      <span class="h2 font-weight-bold mb-0">20</span>
                    </div>
                    <div class="col-auto">
                      <div class="icon icon-shape bg-warning text-white rounded-circle shadow">
                        <i class="fas fa-chart-pie"></i>
                      </div>
                    </div>
                  </div>
                  <p class="mt-3 mb-0 text-muted text-sm">
                    <span class="text-danger mr-2"><i class="fas fa-arrow-down"></i> 3.4%</span>
                    <span class="text-nowrap">Since last week</span>
                  </p>
                </div>
              </div>
            </div>
            <div class="col-xl-3 col-lg-6">
              <div class="card card-stats mb-4 mb-xl-0">
                <div class="card-body">
                  <div class="row">
                    <div class="col">
                      <h5 class="card-title text-uppercase text-muted mb-0">عدد المرضى</h5>
                      <span class="h2 font-weight-bold mb-0">924</span>
                    </div>
                    <div class="col-auto">
                      <div class="icon icon-shape bg-yellow text-white rounded-circle shadow">
                        <i class="fas fa-users"></i>
                      </div>
                    </div>
                  </div>
                  <p class="mt-3 mb-0 text-muted text-sm">
                    <span class="text-warning mr-2"><i class="fas fa-arrow-down"></i> 1.10%</span>
                    <span class="text-nowrap">Since yesterday</span>
                  </p>
                </div>
              </div>
            </div>
            <div class="col-xl-3 col-lg-6">
              <div class="card card-stats mb-4 mb-xl-0">
                <div class="card-body">
                  <div class="row">
                    <div class="col">
                      <h5 class="card-title text-uppercase text-muted mb-0">نسب المرضى</h5>
                      <span class="h2 font-weight-bold mb-0">19%</span>
                    </div>
                    <div class="col-auto">
                      <div class="icon icon-shape bg-info text-white rounded-circle shadow">
                        <i class="fas fa-percent"></i>
                      </div>
                    </div>
                  </div>
                  <p class="mt-3 mb-0 text-muted text-sm">
                    <span class="text-success mr-2"><i class="fas fa-arrow-up"></i>10</span>
                    <span class="text-nowrap">last month</span>
                  </p>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

resources/views/layouts/sidbar.blade.php
<nav class="navbar navbar-vertical fixed-left navbar-expand-md navbar-light bg-white" id="sidenav-main">
    <div class="container-fluid">
      <!-- Toggler -->
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#sidenav-collapse-main" aria-controls="sidenav-main" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <!-- Brand -->
      <a class="navbar-brand pt-0" href="./index.html">
        <img src="{{asset('template/img/brand/blue.png')}}" class="navbar-brand-img" alt="...">
      </a>
      <!-- User -->
      <ul class="nav align-items-center d-md-none">
        <li class="nav-item dropdown">
          <a class="nav-link nav-link-icon" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <i class="ni ni-bell-55"></i>
          </a>
          <div class="dropdown-menu dropdown-menu-arrow dropdown-menu-right" aria-labelledby="navbar-default_dropdown_1">
            <a class="dropdown-item" href="#">Action</a>
            <a class="dropdown-item" href="#">Another action</a>
            <div class="dropdown-divider"></div>
            <a class="dropdown-item" href="#">Something else here</a>
          </div>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <div class="media align-items-center">
              <span class="avatar avatar-sm rounded-circle">
                <img alt="Image placeholder" src="./assets/img/theme/team-1-800x800.jpg">
              </span>
            </div>
          </a>
          <div class="dropdown-menu dropdown-menu-arrow dropdown-menu-right">
            <div class=" dropdown-header noti-title">
              <h6 class="text-overflow m-0">Welcome!</h6>
            </div>
            <a href="./examples/profile.html" class="dropdown-item">
              <i class="ni ni-single-02"></i>
              <span>My profile</span>
            </a>
            <a href="./examples/profile.html" class="dropdown-item">
              <i class="ni ni-settings-gear-65"></i>
              <span>Settings</span>
            </a>
            <a href="./examples/profile.html" class="dropdown-item">
              <i class="ni ni-calendar-grid-58"></i>
              <span>Activity</span>
            </a>
            <a href="./examples/profile.html" class="dropdown-item">
              <i class="ni ni-support-16"></i>
              <span>Support</span>
            </a>
            <div class="dropdown-divider"></div>
            <a href="#!" class="dropdown-item">
              <i class="ni ni-user-run"></i>
              <span>Logout</span>
            </a>
          </div>
        </li>
      </ul>
      <!-- Collapse -->
      <div class="collapse navbar-collapse" id="sidenav-collapse-main">
        <!-- Collapse header -->
        <div class="navbar-collapse-header d-md-none">
          <div class="row">
            <div class="col-6 collapse-brand">
              <a href="./index.html">
                <img src="{{asset('template/img/brand/blue.png')}}">
              </a>
            </div>
            <div class="col-6 collapse-close">
              <button type="button" class="navbar-toggler" data-toggle="collapse" data-target="#sidenav-collapse-main" aria-controls="sidenav-main" aria-expanded="false" aria-label="Toggle sidenav">
                <span></span>
                <span></span>
              </button>
            </div>
          </div>
        </div>
        <!-- Form -->
        <form class="mt-4 mb-3 d-md-none">
          <div class="input-group input-group-rounded input-group-merge">
            <input type="search" class="form-control form-control-rounded form-control-prepended" placeholder="Search" aria-label="Search">
            <div class="input-group-prepend">
              <div class="input-group-text">
                <span class="fa fa-search"></span>
              </div>
            </div>
          </div>
        </form>

        <ul class="navbar-nav">
            <h6 class="navbar-heading text-muted" style="text-align: right">السجل الصحي  <i class="single-copy-04"></i> </h6>

            <li class="nav-item">
                <a class="nav-link" href="{{route('specialties.index')}}">
                <i class="ni ni-planet text-primary"></i> التخصصات
                </a>
            </li>

            <li class="nav-item">
                <a class="nav-link" href="{{route('symptoms.index')}}">
                    <i class="ni ni-planet text-primary"></i> الأعراض
                </a>
            </li>

            <li class="nav-item">
                <a class="nav-link" href="{{route('diseases.index')}}">
                    <i class="ni ni-planet text-primary"></i> الأمراض
                </a>
            </li>

            @if (Auth::user()->type_id == 2)
                <h6 class="navbar-heading text-muted" style="text-align: right">الأطباء</h6>
                <li class="nav-item">
                    <a class="nav-link" href="{{route('doctor_specialties.index')}}">
                        <i class="ni ni-planet text-primary"></i> أختصاصات الطبيب
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{route('doctor_work.index')}}">
                        <i class="ni ni-planet text-primary"></i> أعمال الطبيب
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{route('doctor_certificates.index')}}">
                        <i class="ni ni-planet text-primary"></i> شهادات الطبيب
                    </a>
                </li>
            @endif
            @if (Auth::user()->type_id == 1)
                <h6 class="navbar-heading text-muted" style="text-align: right">الإعدادات</h6>
                <li class="nav-item">
                  <a class="nav-link" href="{{route('nationalities.index')}}">
                      <i class="ni ni-planet text-primary"></i> الجنسيات
                  </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{{route('doctors.index')}}">
                        <i class="ni ni-planet text-primary"></i> طلبات التسجيل
                    </a>
                </li>
            @endif

        </ul>

        </div>
    </div>
</nav>